$INTERFACE UA2MX2                                             97/12/01
  $SUBST('UZASET')
  $IF(KDA<2)
    $IF(SAVA<2) $HA=H
  $ENDIF
  $HELP
    TYPE OF EXTREMUM:
       0 - CHEBYSHEV APPROXIMATION
      -1 - MINIMAX
       1 - MAXIMIN
  $CHECK(IEXT,0,'-1\0\1',1)
  $HELP
    LOWER BOUND FOR FUNCTION VALUE
  $CHECK(FMIN,'-$ETA9',REAL,2)
  $ADD(REAL,'\$AG($NF*$NA)\$G($NF)\$HA($NF*($NF+1)/2)\$H($NF*($NF+1)/2)&
  \$AZ($NF+1)')
$REM  $ADD(REAL,'\FA\F')
  $ADD(INTEGER,'\$IAA($NF+1)')
$REM  $ADD(INTEGER,'\NF\NA\NAL\NCL\N\KA\KAP')
 $00  CALL UA2MX2(NF,NA,NAL,NCL,N,KA,KAP,$AG,$G,$HA,$H,$AZ,$IAA,FA,F)
      GO TO ($90,$10,$20,$50) ISB+1
 $10  CONTINUE
      $IF(SAVA>-1)
        IF(LDA.GE.0) THEN
        FA=$AF(KA)
        GO TO $00
        ENDIF
      $ENDIF
      $IF(NAL>0)
        IF(KA.LE.NAL) THEN
        $SUBST('UALNF1')
        $IF(KBA>0) $SUBST('UATRF1')
        $IF(ISNA>0)
          $SUBST('UASVF1')
        $ENDIF
        GO TO $00
        ENDIF
      $ENDIF
      $IF(LAD<0)
        $IF(NAL<$NA)
          $MTYPE=FMODA
          $SUBST('UZAMOD')
          $IF(NORMA>0) $SUBST('UANRF1')
          $IF(KBA>0) $SUBST('UATRF1')
          $IF(ISNA>0)
            $SUBST('UASVF1')
          $ENDIF
          $IF(FMODA<>'F')
            $IF(NORMA>0) $SUBST('UANRG1')
            $IF(ISNA>1)
              $SUBST('UASVG1')
            $ENDIF
          $ENDIF
          $IF(FMODA='FGH')
            $IF(NORMA>0) $SUBST('UANRH1')
          $ENDIF
          GO TO $00
        $ENDIF
      $ELSE
        $GO TO $00
      $ENDIF
 $20  CONTINUE
      $IF(SAVA>0)
        IF(LDA.GE.1) THEN
        $SUBST('UALNG1')
        GO TO $00
        ENDIF
      $ENDIF
      $IF(NAL>0)
        IF(KA.LE.NAL) THEN
        $SUBST('UALNG1')
        GO TO $00
        ENDIF
      $ENDIF
      $IF(LAD<1)
        $IF(NAL<$NA)
          $IF(GMODA='G')
            $MTYPE='G'
            $SUBST('UZAMOD')
            $IF(NORMA>0) $SUBST('UANRG1')
            $IF(ISNA>1)
              $SUBST('UASVG1')
            $ENDIF
            GO TO $00
          $ELSEIF(FMODA='F')
            $IF(ISNA>0)
              IF (LD.GE.0) FA=$AF(KA)
            $ENDIF
 $25  CONTINUE
            $SUBST('UA0G$(CON)1')
            GO TO ($40,$30) ISB+1
 $30  CONTINUE
            $MTYPE=FMODA
            $SUBST('UZAMOD')
            $IF(NORMA>0) $SUBST('UANRF1')
            $IF(KBA>0) $SUBST('UATRF1')
            GO TO $25
 $40  CONTINUE
            $IF(ISNA>1)
              $SUBST('UASVG1')
            $ENDIF
            GO TO $00
          $ELSE
            IF (LD.LT.0) GO TO $00
            $MTYPE=FMODA
            $SUBST('UZAMOD')
            $IF(NORMA>0) $SUBST('UANRF1')
            $IF(KBA>0) $SUBST('UATRF1')
            $IF(NORMA>0) $SUBST('UANRG1')
            $IF(ISNA>1)
              $SUBST('UASVG1')
            $ENDIF
            GO TO $00
          $ENDIF
        $ENDIF
      $ELSE
        $GO TO $00
      $ENDIF
 $50  CONTINUE
      $IF(SAVA>1)
        IF(LDA.GE.2) THEN
        $SUBST('UASTH1')
        GO TO $00
        ENDIF
      $ENDIF
      $IF(NAL>0)
        IF(KA.LE.NAL) THEN
        $SUBST('UALNH1')
        GO TO $00
        ENDIF
      $ENDIF
      $IF(LAD<2)
        $IF(NAL<$NA)
          $IF(HMODA='H')
            $MTYPE='H'
            $SUBST('UZAMOD')
            $IF(NORMA>0) $SUBST('UANRH1')
            GO TO $00
          $ELSEIF(GMODA='G')
            $SUBST('UALNG1')
 $55  CONTINUE
            $SUBST('UA1H$(CON)1')
            GO TO ($00,$60) ISB+1
 $60  CONTINUE
            $MTYPE=GMODA
            $SUBST('UZAMOD')
            $IF(NORMA>0) $SUBST('UANRG1')
            GO TO $55
          $ELSEIF(FMODA='F')
            $IF(ISNA>0)
              IF (LD.GE.0) FA=$AF(KA)
            $ENDIF
 $65  CONTINUE
            $SUBST('UA0H$(CON)1')
            GO TO ($00,$70) ISB+1
 $70  CONTINUE
            $MTYPE=FMODA
            $SUBST('UZAMOD')
            $IF(NORMA>0) $SUBST('UANRF1')
            $IF(KBA>0) $SUBST('UATRF1')
            GO TO $65
          $ELSEIF(FMODA='FG')
            $SUBST('UALNG1')
 $75  CONTINUE
            $SUBST('UA1H$(CON)1')
            GO TO ($00,$80) ISB+1
 $80  CONTINUE
            $MTYPE=FMODA
            $SUBST('UZAMOD')
            $IF(NORMA>0) $SUBST('UANRG1')
            GO TO $75
          $ELSE
            IF (LD.LT.0) GO TO $00
            $MTYPE=FMODA
            $SUBST('UZAMOD')
            $IF(NORMA>0) $SUBST('UANRF1')
            $IF(KBA>0) $SUBST('UATRF1')
            $IF(NORMA>0) $SUBST('UANRG1')
            $IF(NORMA>0) $SUBST('UANRH1')
            GO TO $00
          $ENDIF
        $ENDIF
      $ELSE
        $GO TO $00
      $ENDIF
 $90  CONTINUE
      $ADD(INIT)
        NAXX='UA2MX2'
      $ENDADD
      $EXIT
