$INTERFACE UF1F03                                             09/12/01
  $HELP
    TYPE OF EXTREMUM:
      0 - MINIMUM
      1 - MAXIMUM
  $CHECK(IEXT,0,'0\1',1)
  $IF(IEXT=0)
    $G=GF
  $ENDIF
  $HELP
    LOWER BOUND FOR FUNCTION VALUE
  $CHECK(FMIN,'-$ETA9',REAL,2)
  $LHLP=1
  $IF(NOS2=3)
    $DU=D
    $DV=D
    $KHLP=3
    $IF(MOS3=1) $LHLP=2
    $ADD(REAL,'\$D($NF)')
  $ELSEIF(NOS2=4)
    $DV=DU
    $KHLP=4
    $IF(MOS3=1) $LHLP=2
    $ADD(REAL,'\$D($NF)\$DU($NF)')
  $ELSEIF(NOS2=5)
    $KHLP=5
    $IF(MOS3=1) $LHLP=2
    $ADD(REAL,'\$D($NF)\$DU($NF)\$DV($NF)')
  $ELSE
    $ADD(REAL,'\$GF($NF)\$G($NF)')
  $ENDIF
$REM  $ADD(REAL,'\FF\F')
$REM  $ADD(INTEGER,'\NF')
      $IF(LHLP=1)
      $ADD(INIT)
        NFXX='UF1F01'
      $ENDADD
 $00    CALL UF1F01(NF,$GF,$G,FF,F)
        GOTO ($40,$10,$20) ISB+1
      $ELSE
      $ADD(INIT)
        NFXX='UF1F03'
      $ENDADD
 $00    CALL UF1F03(NF,$GF,$G,$D,$DU,$DV,FF,F,NOS2)
        GOTO ($80,$10,$20,$40) ISB+1
      $ENDIF
 $10  CONTINUE
      $MTYPE=FMODF
      $SUBST('UZFMOD')
      GOTO $00
 $20  CONTINUE
      $IF(GMODF='G')
        $MTYPE='G'
        $SUBST('UZFMOD')
        GOTO $00
      $ELSEIF(FMODF='F')
        $HELP
          METHOD FOR DETERMINATION OF DIFFERENCE USED FOR
          NUMERICAL COMPUTATION OF GRADIENT:
            0 - CONSTANT DIFFERENCE
            1 - EASY COMPARATIVE METHOD
            2 - STEWART'S METHOD.
        $CHECK(MCG,2,'0\1\2',3)
        $IF(MCG=0)
          $SUBST('UF0G$(CON)1')
        $ELSE
          $ADD(SINID)
            CALL UXVSET(NF,ZERO,$GF)
            CALL UXVSET(NF,ONE,$HD)
          $ENDADD
          $SUBST('UF0G$(CON)2')
        $ENDIF
        GOTO ($00,$30) ISB+1
 $30  CONTINUE
        $MTYPE=FMODF
        $SUBST('UZFMOD')
        GO TO $20
      $ELSE
        IF (LD.LT.0) GOTO $00
        $MTYPE=FMODF
        $SUBST('UZFMOD')
        GO TO $00
      $ENDIF
 $40  CONTINUE
      $IF(LHLP=2)
        $IF(GMODF='G')
          $SUBST('UF1H$(CON)$(KHLP)')
          GOTO ($00,$50) ISB+1
 $50    CONTINUE
          $MTYPE=GMODF
          $SUBST('UZFMOD')
          GO TO $40
        $ELSEIF(FMODF='F')
          $SUBST('UF0H$(CON)$(KHLP)')
          GO TO ($00,$60) ISB+1
 $60    CONTINUE
          $MTYPE=FMODF
          $SUBST('UZFMOD')
          GO TO $40
        $ELSEIF(FMODF='FG')
          $SUBST('UF1H$(CON)$(KHLP)')
          GO TO ($00,$70) ISB+1
 $70    CONTINUE
          $MTYPE=FMODF
          $SUBST('UZFMOD')
          GO TO $40
        $ELSE
          IF (LD.LT.0) GOTO $00
          $MTYPE=FMODF
          $SUBST('UZFMOD')
          GO TO $00
        $ENDIF
 $80    CONTINUE
      $ENDIF
      $ADD(INIT)
        NFXX='UF1F03'
      $ENDADD
      $EXIT
