$INTERFACE UKQGLM                                             98/12/01
  $HELP
    PRECISION FOR EITHER LINEAR OR QUADRATIC PROGRAMMING SUBROUTINE
  $CHECK(EPS7,'1.0$P-7',REAL,4)
  $HELP
    TOLERANCE FOR LAGRANGE MULTIPLIERS
  $CHECK(EPS8,'1.0$P-8',REAL,4)
  $HELP
    TOLERANCE FOR ACTIVE CONSTRAINTS
  $CHECK(EPS9,'1.0$P-9',REAL,4)
  $HELP
    MAXIMUM STEPSIZE
  $CHECK(XMAX,'1.0$P 3',REAL,2)
  $HELP
    MAXIMUM NUMBER OF MINOR CYCLES
  $CHECK(MIQ,500,INT,4,NO)
  $HELP
    MAXIMUM NUMBER OF MAJOR CYCLES
  $CHECK(MAQ,500,INT,4,NO)
  $HELP
    MAXIMUM NUMBER OF EXTRAPOLATIONS OR INTERPOLATIONS
  $CHECK(MRED,10,INT,4)
  CALL UKQGLM(NF,N,M,MROWS,MCOLS,NZ,NZA,NAU,NUP,MMAX,NEL,IBEG,IBGR&
,IENDLU,$PTL,$LENL,$CNR,$PTR,$LENR,$ORDC,$ORDR,$ORDL,$LI,$LJ,$CM,$AU&
,$LAM,$WR01,$X,$GF,$G,$HF,$JH,$IH,$BCOL,$RNR,$PRNR,$A,$INBCOL,$IX,$WN01&
,$WR02,$S,$XL,$XU,$ECG,$FCG,$RCG,$PV,$RIGHT,$UP,ALF1,ALF2,DEL1,DEL2&
,DEL3,EPS6,EPS7,EPS8,EPS9,RMIN,RMAX,DMAX,GMAX,UMAX,XMAX,GNORM,SNORM&
,XNORM,R,FF,F,FO,P,PO,T,TO,TL,TU,E,EL,EU,MFP,MQP,MQP1,MLP1,NIQ,NAQ,MRED&
,$MIQ,$MAQ,INEW,IOLD,KOLD,KINP,LINP,MINP,IER)
  $ADD(INTEGER,'\$INBCOL($MCOLS)\$JH($M)\$IH($MCOLS+1)')
  $ADD(REAL,'\$LAM($MCOLS)\$ECG($MCOLS)\$FCG($MCOLS)\$RCG($MCOLS)')
  $ADD(REAL,'\$PV($MCOLS)\$HF($M)\$S($MCOLS)')
$REM  $ADD(INTEGER,'NF\N\M\MROWS\MCOLS\NZ\NZA\NAU\NUP\MMAX\NEL\NAP\IBEG&
\IBGR\IENDLU\MFP\MQP\MQP1\MLP1\NIQ\NAQ\MRED\INEW\IOLD\KOLD\KINP\LINP&
\MINP\IER')
$REM  $ADD(REAL,'\ALF1\ALF2\DEL1\DEL2\DEL3\EPS6\EPS7\EPS8\EPS9\RMIN&
\RMAX\DMAX\GMAX\UMAX\XMAX\GNORM\SNORM\XNORM\FF\F\FO\P\PO\T\TO\TL\TU&
\E\EL\EU')
  $ADD(SINID)
    CALL UXVSET(MCOLS,ZERO,LAM)
  $ENDADD
  $ADD(INIT)
    NDXX='UKQGLM'
  $ENDADD
  $EXIT
