$INTERFACE UUBSD1                                             97/12/01
  $HELP
    MAXIMUM SIZE OF THE PARTITIONED HESSIAN MATRIX
  $CHECK(MAH,'25*$NA',INT,1)
  $HELP
    CHOICE OF THE INITIAL APPROXIMATION OF THE SPARSE
    HESSIAN  MATRIX:
      1 - UNIT INITIAL APPROXIMATION
      2 - RANDOM INITIAL APPROXIMATION
      3 - NUMERICAL INITIAL APPROXIMATION
  $CHECK(INITH,1,'1\2\3',4)
  $IF(INITH>2)
    IF (IREST.LE.0) GO TO $20
    CALL UYPRO1('UUXX',2)
    ASSIGN $10 TO IMD
    $GO TO $LMD
$10 CONTINUE
    TUXX='NEWTON  '
    IDECF=0
    CALL UYSET3
    CALL UYEPI1(2)
$20 CONTINUE
  $ELSE
    $N='NF'
    $ADD(REAL,'\$AH($MAH)')
    $ADD(INTEGER,'\$IAG($NA+1)')
$REM    $ADD(INTEGER,'\$N\NA\NAL\MAH')
    CALL UUBSD1($N,NA,NAL,MAH,$AH,$IAG,$INITH)
  $ENDIF
  $EXIT
