$INTERFACE UUSVG1                                             98/12/01
  CALL UUSVG1(NF,MMAX,$H,$IH,$JH,$GN,$S,$RN01,$PSL,$PERM,$XO,$GO,ETA9&
,R,F,FO,P,PO,PAR,PAR1,PAR2,MET,MET1,MET2,MET3)
  $ADD(REAL,'\$H($MMAX)\$GN($NF)\$S($NF)\$XO($NF)\$GO($NF)&
  \$RN01($NF+1)')
  $ADD(INTEGER,'\$IH($NF+1)\$JH($MMAX)\$PSL($NF+1)\$PERM($NF)')
$REM  $ADD(INTEGER,'\NF\MMAX\MET\MET1\MET2\MET3')
$REM  $ADD(REAL,'\R\F\FO\\P\PO\PAR\PAR1\PAR2')
  $HELP
    SELECTION OF SELF SCALING:
      1 - SELF SCALING SUPPRESSED
      2 - INITIAL SELF SCALING
      3 - CONTROLLED SELF SCALING
      4 - SELF SCALING IN EACH ITERATION
  $CHECK(MET1,3,'1\2\3\4',4)
  $HELP
    SELECTION OF THE LINE SEARCH MODEL:
      1 - QUADRATIC MODEL
      2 - USE OF TAYLOR EXPANSION
  $CHECK(MET2,2,'1\2',4)
  $HELP
    METHOD CORRECTION:
      1 - NO CORRECTION
      2 - POWELL'S CORRECTION
  $CHECK(MET3,1,'1\2',4)
  $HELP
    TOLERANCE FOR POSITIVE DEFINITENESS
  $CHECK(ETA2,ETA0,REAL,4)
  $ADD(INIT)
    NUXX='UUSVG1'
  $ENDADD
  $EXIT
