$INTERFACE US0C01                                             97/12/01
  $HELP
    STRATEGY FOR STEPSIZE REDUCTION
      1 - QUADRATIC  INTERPOLATION IS USED
      2 - FLETCHER'S INTERPOLATION IS USED
  $CHECK(MOS1,1,'1\2',4)
  $HELP
    STRATEGY FOR PROJECTION STEPS
      1 - PROJECTION STEP IS CHOSEN ONLY IF
          THE BASIC STEP IS UNSUCCESSFUL
      2 - PROJECTION STEP IS CHOSEN WHENEVER THE
          BASIC STEP DOES NOT IMPLY STEPSIZE EXPANSION
  $CHECK(MOS2,1,'1\2',4)
  $HELP
    FIRST TOLERANCE FOR RATIO DF/DFPRED
  $CHECK(EPS3,'0.10$P 0',REAL,4)
  $HELP
    SECOND TOLERANCE FOR RATIO DF/DFPRED
  $CHECK(EPS4,'0.25$P 0',REAL,4)
  $HELP
    LOWER BOUND FOR STEPSIZE REDUCTION
  $CHECK(BET1,'0.5$P-1',REAL,4)
  $HELP
    UPPER BOUND FOR STEPSIZE REDUCTION
  $CHECK(BET2,'0.5$P 0',REAL,4)
  $HELP
    LOWER BOUND FOR STEPSIZE EXPANSION
  $CHECK(GAM1,'2.0$P 0',REAL,4)
  $HELP
    MAXIMUM STEPSIZE
  $CHECK(XMAX,'1.0$P 3',REAL,2)
  CALL US0C01(N,$G,$GO,EPS3,EPS4,BET1,BET2,GAM1,RO,RP,R,FO,F,PO,P&
,XDEL,XNORM,XMAX,SNORM,RMAX,IPOM3,MOS1,MOS2)
  $ADD(REAL,'\$G($NF)\$GO($NF)')
$REM $ADD(REAL,'\EPS3\EPS4\BET1\BET2\GAM1\RO\RP\R\FO\F\PO\P\XDEL\XNORM&
  \XMAX\SNORM\RMAX')
$REM $ADD(INTEGER,'\N\IPOM3\MOS1\MOS2')
  $ADD(INIT)
    NSXX='US0C01'
  $ENDADD
  $EXIT
