$INTERFACE UUBFM1                                             97/12/01
  $HELP
    SELECTION OF SELF SCALING:
      1 - SELF SCALING SUPPRESSED
      2 - SELF SCALING IN THE FIRST ITERATION AFTER RESTART
      3 - SELF SCALING IN EACH ITERATION
  $CHECK(MET1,3,'1\2\3\4',4)
  $HELP
    TOLERANCE FOR POSITIVE DEFINITENESS
  $CHECK(ETA2,ETA0,REAL,4)
  $IF(TYPE='L') $DEFAULT='2.0D-2'
  $HELP
    TOLERANCE FOR APPLICATION OF THE BFGS METHOD
  $CHECK(ETA5,DEFAULT,REAL,4)
  $ADD(REAL,'\$AB($MAH)\$S($NF)\$XO($NF)\$AGO($MA)')
$REM  $ADD(REAL,'\F\FO\ETA5')
  $ADD(INTEGER,'\$IA($NA)\$IAG($NA+1)\$JAG($MA)')
$REM  $ADD(INTEGER,'\NF\NA\NAL\MA\MAH\IPOM1\IPOM2')
  CALL UUBFM1(NF,NA,NAL,MA,MAH,$IA,$AB,$IAG,$JAG,$S,$XO,$AGO,F,FO&
,ETA5,$ETA9,IPOM1,IPOM2,$MET,$MET1)
  $DEFAULT='5.0D-4'
  $ADD(INIT)
    NUXX='UUBFM1'
  $ENDADD
  $EXIT
