$REM +---------------------------------------------------------------+
$REM + TEMPLATE: UZDPRE                                    01/12/89  +
$REM + SI                                                            +
$REM + PURPOSE:  DRIVER FOR UFO MODULES PREPROCESSOR                 +
$REM +---------------------------------------------------------------+

$REM +----+ INSTALATION +--------------------------------------------+

$P='D'
$FLOAT='REAL*8'
$DBLE='DBLE'
$GRAPHICS=6
$FORTRAN=90 
$OPENFILE=.TRUE.
$OPTION(FN2='.I')

$REM +----+ INITIATION +---------------------------------------------+

$OPTION(LFRFMT=.FALSE.)
$NEXT=0
$SET(INTERFACE)
  $OPTION(LOUT=.FALSE.)
  $OPTION(LSUBS=.FALSE.)
  $OPTION(LFORTO=.FALSE.)
  $OPTION(CHDIR='*')

$ENDSET
$IF($DEF(PREDAT))
  $PREDAT
$ENDIF

$REM +----+ GRAPHIC INTERFACE +--------------------------------------+

$SET(FIFAC)
  $IF(GRAPHICS=0)
  $ELSEIF(GRAPHICS=1)
      INCLUDE 'FGRAPH.FI'
      INCLUDE 'FLIB.FI'
  $ELSEIF(GRAPHICS=4)
      INCLUDE 'FGRAPH.FI'
      INCLUDE 'FLIB.FI'
  $ELSE
  $ENDIF
$ENDSET
$SET(FDECL)
  $IF(GRAPHICS=0)
  $ELSE
    $IF(GRAPHICS=1)
      INCLUDE 'FGRAPH.FD'
      INCLUDE 'FLIB.FD'
    $ELSEIF(GRAPHICS=4)
      INCLUDE 'FGRAPH.FD'
      INCLUDE 'FLIB.FD'
    $ELSE
      USE DFLIB
    $ENDIF
      STRUCTURE /MYITEM/
      CHARACTER*10 NAZEV
      INTEGER POZICE
      INTEGER*2 DELKA
      INTEGER BARVA
      INTEGER HI
      ENDSTRUCTURE
  $ENDIF
$ENDSET

$REM +----+ INITIATION OF SPECIAL MACROVARIABLES +-------------------+

$SUBST('UZSETM')

$OPTION(IUNIT=9)

